WordPress.org

Support

Support » Installation » On Install: ERROR: the e-mail address isn’t correct

On Install: ERROR: the e-mail address isn’t correct

  • Rob2000007
    Member

    @rob2000007

    I’m receving the error:

    ERROR: the e-mail address isn’t correct

    Here’s what I’ve done:
    Downloaded the latest version of wordpress
    Modified wp-config.php to match my database settings
    Went to /wp-admin/install.php
    Entered a blog name
    Entered a valid e-mail address

    Pressed the continue button

    Can anyone help me with this? Any help is greatly appreciated.

Viewing 15 replies - 1 through 15 (of 17 total)
  • WordPress is testing for a valid email construct such as rob2000007@sample.com so make sure you have something like that.

    If you are putting in an email that looks to be correct, you might need to post that email here so we can see what is wrong.

    Rob2000007
    Member

    @rob2000007

    Thank-you for your reply, MichaelH. I appreciate the help.

    I’ve tried a few different e-mail addresses including:

    x@y.com

    where x = thedrunk
    and y = hotmail

    Rob2000007
    Member

    @rob2000007

    Today, I’ve tried a ton of different e-mail address.

    I’ve tried searching everywhere I can think on the internet for similar problems.

    and I’ve even installed WordPress on 2 completely different webservers.

    I have the same problem every time. I have to think that other people installing are having the same problems.

    Can anyone at all help me with this?

    How about downloading a new copy of WordPress from http://wordpress.org/download/ and using that?

    Rob2000007
    Member

    @rob2000007

    I downloaded a new copy of wordpress

    I changed the 3 lines in the wp-config.php to reflect my database settings

    I went to wp-admin/install.php

    I get the same error when entering the e-mail address above or any other e-mail address. ERROR: the e-mail address isn’t correct.

    Any other help, Michael? This is really quite frustrating but I sure appreciate any light you can shed.

    Rob2000007
    Member

    @rob2000007

    Is there no solution to this problem? Is there anyone at all that can help?

    I really want to use wordpress, but this single simple error will cause me to use another blogging system.

    I’ve read through many, many forums and I’ve read all of the documentation from end-to-end. I really don’t see how or why this problem is happening.

    Can anyone help me or will this simple error on the first step of the installation stop me from using WordPress?

    Who is your host?
    What version of PHP?
    What webserver (e.g Apache)?
    What version of webserver?

    Rob2000007
    Member

    @rob2000007

    Hello again Michael and thank-you for the help.

    >> Who is your host?
    IP Affiliates

    >> What version of PHP?
    PHP Version 5.0.4

    >> What webserver (e.g Apache)?
    Apache

    >> What version of webserver?
    2.0.59

    Only other thing I can suggest is to put this line near the top (inside the php tag) of wp-config.php and see if it reports errors.

    error_reporting(E_ALL); ini_set('display_errors', 1);
    Rob2000007
    Member

    @rob2000007

    I receive these errors in install step 1:

    Warning: preg_match: internal pcre_fullinfo() error -3 in /html/blog/wp-includes/wp-db.php on line 194

    Warning: preg_match: internal pcre_fullinfo() error -3 in /html/blog/wp-settings.php on line 105

    Warning: preg_match: internal pcre_fullinfo() error -3 in /html/blog/wp-includes/vars.php on line 4

    Warning: preg_match: internal pcre_fullinfo() error -3 in /html/blog/wp-includes/formatting.php on line 160

    *** please note that I receive about lines of exactly the same message as the last message (line 160)

    Rob2000007
    Member

    @rob2000007

    In install step 2:

    I receive the exact same errors as above and

    Warning: preg_match: internal pcre_fullinfo() error -3 in /html/blog/wp-includes/formatting.php on line 669
    ERROR: the e-mail address isn’t correct

    Can your host upgrade PHP and if not, can you use PHP 4? If no to both then can you change hosts?

    In researching earlier, I believe I saw some references to preg_match problems in PHP 5.0.4 with those errors.

    Rob2000007
    Member

    @rob2000007

    Thank-you for the reply, Michael.

    If this is a problem with PHP 5.0.4 compatability, do you know if there are any plans by WordPress to increase the compatability of your software to match the programming language?

    Again, than-you for your help.

    It seemed like it was more a specific type of bug in PHP 5.0.4. Plus right now WordPress only requires PHP 4.2 so if you do want to use WordPress, and your host can’t change your PHP version, then maybe a new host is in order.

    Rob2000007
    Member

    @rob2000007

    Ok – thank-you Michael.

    Sadly, I’ll have to use another blogging system.

Viewing 15 replies - 1 through 15 (of 17 total)
  • The topic ‘On Install: ERROR: the e-mail address isn’t correct’ is closed to new replies.